Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.compiler.bom
Enum JoinFailureSuppressor.SuppressJoinFailure

    java.lang.Object
      java.lang.Enum<JoinFailureSuppressor.SuppressJoinFailure>
          org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor.SuppressJoinFailure

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JoinFailureSuppressor.SuppressJoinFailure>

Enclosing class:
  JoinFailureSuppressor

    public static enum JoinFailureSuppressor.SuppressJoinFailure

extends java.lang.Enum<JoinFailureSuppressor.SuppressJoinFailure>

Enum Constant Summary
`NO` Model element overrides `suppressJoinFailure` to `no`.
`NOTSET` Model element does not specify a `suppressJoinFailure` override.
`YES` Model element overrides `suppressJoinFailure` to `no`.

Method Summary
`static JoinFailureSuppressor.SuppressJoinFailure` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JoinFailureSuppressor.SuppressJoinFailure[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOTSET

    public static final JoinFailureSuppressor.SuppressJoinFailure NOTSET

  Model element does not specify a `suppressJoinFailure` override.

### NO

    public static final JoinFailureSuppressor.SuppressJoinFailure NO

  Model element overrides `suppressJoinFailure` to `no`.

### YES

    public static final JoinFailureSuppressor.SuppressJoinFailure YES

  Model element overrides `suppressJoinFailure` to `no`.

Method Detail

### values

    public static final JoinFailureSuppressor.SuppressJoinFailure[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(JoinFailureSuppressor.SuppressJoinFailure c : JoinFailureSuppressor.SuppressJoinFailure.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static JoinFailureSuppressor.SuppressJoinFailure valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD